:begin
@echo off

IF "%1" == ""  goto null_vars
IF "%2" == ""  goto null_vars

IF   (%1)     ==   ()       goto interact
IF    %1      ==   -h       goto syntax
IF    %1      ==   -help    goto syntax

set WCS_HOME=%1
set WAS_HOME=%2

IF NOT EXIST %WCS_HOME%      goto bad_wcs_home
IF NOT EXIST %WAS_HOME%     goto bad_was_home

IF NOT EXIST     %WAS_HOME%\jdk\bin\java.exe   goto bad_was_home
IF NOT EXIST     %WCS_HOME%\lib\wcsruntime.jar  goto bad_wcs_home

:start
IF NOT EXIST    .\WCSfixpack5113_WIN.jar goto bad_pwd
IF NOT EXIST    .\Delta.jar     goto bad_pwd

IF NOT EXIST     %WCS_HOME%\service   mkdir %WCS_HOME%\service
IF NOT EXIST     %WCS_HOME%\service\fixpack   mkdir %WCS_HOME%\service\fixpack
IF NOT EXIST     %WCS_HOME%\service\fixpack\5113   mkdir %WCS_HOME%\service\fixpack\5113

IF NOT EXIST  %WCS_HOME%\xml\product.dtd del %WCS_HOME%\xml\product.xml

echo Install Fixpack 5.1.1.3 for WebSphere Commerce Suite, Windows
%WAS_HOME%\jdk\bin\java.exe -jar WCSfixpack5113_WIN.jar -TargetDir %WCS_HOME% -BackupJar %WCS_HOME%\service\fixpack\5113\WCSfixpack5113_WIN_backup.jar -logFile %WCS_HOME%\service\fixpack\5113\WCSfixpack5113_WIN.log

echo.
goto end

:null_vars
echo.
echo usage: install WCS_HOME WAS_HOME
echo For example, install c:\WebSphere\wcs c:\WebSphere\WAServer
echo.
goto end

:bad_was_home
echo.
echo Can not locate %WAS_HOME%\jdk\bin\java.exe
echo Please ensure that WAS_HOME is correct.
echo.
goto end

:bad_wcs_home
echo.
echo Can not locate %WCS_HOME%\lib\wcsruntime.jar
echo Please specify the correct WCS_HOME directory and rerun this script.
echo.
goto end

:bad_wcs_home
echo.
echo No such directory:  %1
echo.
goto end

:bad_pwd
echo.
echo Can not locate all the files: WCSfixpack5113_WIN.jar, Delta.jar
echo.
goto end

:syntax
echo.
echo usage: install WCS_HOME WAS_HOME
echo For example, install c:\WebSphere\wcs c:\WebSphere\WAServer
echo.
goto end

:parms
echo.
echo Installing fixpack complete.

:end
echo Done
